﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Themes;
using Infragistics.Windows.OutlookBar;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Ribbon;

namespace ThemeSetting
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            List<string> themes = ThemeManager.GetThemes(true,ThemeManager.AllGroupingsLiteral).ToList();
            comboTool.ItemsSource = themes;
            comboTool1.ItemsSource = themes;

            comboTool.SelectedItemChanged += new RoutedPropertyChangedEventHandler<object>(comboTool_SelectedItemChanged);
            comboTool1.SelectedItemChanged += new RoutedPropertyChangedEventHandler<object>(comboTool1_SelectedItemChanged);

        }

        void comboTool1_SelectedItemChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            // clear theme proeprties of the controls.
            // This is only for this example, because 
            // the theme might be set through the other approach
            xamOutlookBar1.ClearValue(XamOutlookBar.ThemeProperty);
            xamDataGrid1.ClearValue(XamDataGrid.ThemeProperty);
            xamRibbon1.ClearValue(XamRibbon.ThemeProperty);


            string themeName = e.NewValue.ToString();
            ResourceDictionary dict = ThemeManager.GetResourceSet(themeName, ThemeManager.AllGroupingsLiteral);
            App.Current.Resources.Clear();
            App.Current.Resources = dict;
        }

        void comboTool_SelectedItemChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            string themeName = e.NewValue.ToString();
            // setting the theme property to [current] is a requirement for the CurrentTheme property to take effect
            // you should set this in the XAML to all of the controls that you want to be affected by the current theme
            // I am setting this here because I am changing the the theme in two different ways
            // This is only for this example, because 
            // the theme might be set through the other approach

            xamDataGrid1.Theme = "[current]";
            xamRibbon1.Theme = "[current]";
            xamOutlookBar1.Theme = "[current]";

            ResourceDictionary dict = ThemeManager.GetResourceSet(themeName, ThemeManager.AllGroupingsLiteral);
            ThemeManager.CurrentTheme = themeName;
            
        }
    }
}
